package capitulo04.bloque02;

import static capitulo04.utils.Utils.crearArrayNumsAleatorios;
import static capitulo04.utils.Utils.mostrarArrayNums;

public class Ejercicio04 {
    public static void main(String[] args) {
        int[] array = crearArrayNumsAleatorios(5, 0, 100);

        mostrarArrayNums(array);
        desplazaCiclicoDerecha(array);
        System.out.println();
        mostrarArrayNums(array);
    }

    public static void desplazaCiclicoDerecha(int a[]) {
        int tempVar = 0;
        for (int i = a.length - 1; i >= 0; i--) {
            if (i == a.length - 1) tempVar = a[i];
            a[i] = (i == 0) ? tempVar : a[i - 1];
        }
    }
}
